﻿<Window x:Class="DBManager.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:viewmodels="clr-namespace:DBManager.MVVM.ViewModels"
        mc:Ignorable="d"
        ResizeMode="NoResize"
        Title="FootballClubManager" Height="550" Width="1000"
        Background="#272537">

    <Window.DataContext>
        <viewmodels:MainViewModel/>
    </Window.DataContext>

    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="22*"/>
            <ColumnDefinition Width="78*"/>
        </Grid.ColumnDefinitions>
        <Grid Grid.Column="0">
            <Grid.RowDefinitions>
                <RowDefinition Height="45*"/>
                <RowDefinition Height="55*"/>
            </Grid.RowDefinitions>
            <StackPanel Grid.Row="0">
                <TextBlock
                Text="Football club"
                HorizontalAlignment="Center"
                TextAlignment="Center"
                Foreground="White"
                Padding="10, 25, 10, 30"
                FontWeight="Bold"
                FontSize="16" Width="218"/>
                <RadioButton
                Content="Players"
                Foreground="White"
                IsChecked="True"
                Style="{StaticResource RadioButtonStyle}"
                Command="{Binding SwitchToPlayersCommand}"/>
                <RadioButton
                Content="Staff"
                Foreground="White"
                Style="{StaticResource RadioButtonStyle}"
                Command="{Binding SwitchToStaffCommand}"/>
                <RadioButton
                Content="Achievements"
                Foreground="White"
                Style="{StaticResource RadioButtonStyle}"
                Command="{Binding SwitchToAchievementsCommand}"/>
            </StackPanel>
            <Border Grid.Row="1">
                <TextBlock
                    VerticalAlignment="Center"
                    HorizontalAlignment="Center"
                    Height="50"
                    Width="50"
                    Background="Red"
                    Style="{StaticResource Animation}">
                </TextBlock>
            </Border>
        </Grid>

        <Grid
            Grid.Column="1"
            Background="#EDEDE9">
            <ContentControl
                Content="{Binding CurrentView}"/>

        </Grid>

    </Grid>
</Window>
